BDU:2020-01712: Уязвимость библиотеки для отображения PDF-файлов Poppler, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость библиотеки для отображения PDF-файлов Poppler связана с недостаточной проверкой вводимых данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Вендор Red Hat Inc., Canonical Ltd., ООО «РусБИТех-Астра», Сообщество свободного программного обеспечения, Oracle Corp., АО "НППКТ"
Наименование ПО Red Hat Enterprise Linux, Ubuntu, Astra Linux Special Edition (запись в едином реестре российских программ №369), Debian GNU/Linux, Poppler, Astra Linux Common Edition (запись в едином реестре российских программ №4433), Astra Linux Special Edition для «Эльбрус» (запись в едином реестре российских программ №11156), Oracle Linux, ОСОН ОСнова Оnyx (запись в едином реестре российских программ №5913)
Версия ПО
  • 6 (Red Hat Enterprise Linux)
  • 14.04 LTS (Ubuntu)
  • 7 (Red Hat Enterprise Linux)
  • 16.04 LTS (Ubuntu)
  • 5 (Red Hat Enterprise Linux)
  • 18.04 LTS (Ubuntu)
  • 18.10 (Ubuntu)
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 0.72.0 (Poppler)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 8 (Red Hat Enterprise Linux)
  • 10.0 (Debian GNU/Linux)
  • 8.1 «Ленинград» (Astra Linux Special Edition для «Эльбрус»)
  • 7 (evince) (Oracle Linux)
  • 7 (ocular) (Oracle Linux)
  • 7 (poppler) (Oracle Linux)
  • 8 (poppler) (Oracle Linux)
  • 1.7 (Astra Linux Special Edition)
  • 4.7 (Astra Linux Special Edition)
  • до 2.6 (ОСОН ОСнова Оnyx)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Недостаточная проверка вводимых данных
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 28.12.2018
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,3)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Ubuntu:
https://usn.ubuntu.com/3865-1/

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2018-20650

Для Poppler:
https://gitlab.freedesktop.org/poppler/poppler/commit/de0c0b8324e776f0b851485e0fc9622fc35695b7
https://gitlab.freedesktop.org/poppler/poppler/issues/704

Для Debian:
https://security-tracker.debian.org/tracker/CVE-2018-20650

Для Oracle Linux:
https://linux.oracle.com/cve/CVE-2018-20650.html

Для ОС Astra Linux:
использование рекомендаций производителя:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=47416144
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20210730SE16
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20211019SE81

Для ОСОН ОСнова Оnyx:
Обновление программного обеспечения poppler до версии 0.71.0-5+deb10u1

Для Astra Linux Special Edition 1.7: https://wiki.astralinux.ru/astra-linux-se17-bulletin-2022-1110SE17

Для Astra Linux Special Edition 4.7: https://wiki.astralinux.ru/astra-linux-se47-bulletin-2022-1121SE47
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование ресурсами
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения